import { ApiState, ApiStatus } from 'src/services/api/redux';

import { User } from '../types';

export interface CurrentUserState extends User {
  _status: ApiStatus;
}

export interface UsersState {
  currentUser: CurrentUserState;
  users: ApiState<User>;
}

export interface CurrentUserUpdateAPI {
  phoneNumber?: string;
  email?: string;
  language?: string;
  country?: string;
  firstName?: string;
  lastName?: string;
  password?: string;
}
